<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'subscription',

    /*
     * Modules.
     */
    'modules'   => ['subscription'],

    
    'subscription'       => [
        'model' => [
            'model' => \B2buy\Subscription\Models\Subscription::class,
            'repository' => \B2buy\Subscription\Repositories\Eloquent\SubscriptionRepository::class,
            'table' => 'subscriptions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'seller_id',  'task_scheduler_id',  'delivery_type',  'repeat_interval',  'status',  'deleted_at',  'created_at',  'updated_at',  'PRIMARY'],
            'translatables' => [],
            'upload_folder' => 'subscription/subscription',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'B2buy',
            'package' => 'Subscription',
            'module' => 'Subscription',
        ],
    ],
];
