<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSubscriptionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: subscriptions
         */
        Schema::create('subscriptions', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('seller_id')->nullable();
            $table->integer('task_scheduler_id')->nullable();
            $table->integer('delivery_type')->nullable();
            $table->string('repeat_interval', 60)->nullable();
            $table->enum('status', ['Active','Inactive'])->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('subscriptions');
    }
}
