<?php

namespace B2buy\Subscription\Forms;

use Litepie\Form\FormInterpreter;

class Subscription extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('subscription/subscription/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('subscription/subscription/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('subscription/subscription'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('subscription/subscription'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('subscription/subscription'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('subscription/subscription'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('subscription::subscription.label.name'),
                "placeholder" => trans('subscription::subscription.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('subscription::subscription.label.created_at'),
            'name' => trans('subscription::subscription.label.name'),
            'status' => trans('subscription::subscription.label.status'),
        ];
        self::$groups = [
            'main' => trans('subscription::subscription.groups.main'),
            'details' => trans('subscription::subscription.groups.details'),
            'images' => trans('subscription::subscription.groups.images'),
            'settings' => trans('subscription::subscription.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('subscription::subscription.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('subscription::subscription.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('subscription::subscription.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('subscription::subscription.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'seller_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('subscription::subscription.label.seller_id'),
                "placeholder" => trans('subscription::subscription.placeholder.seller_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'task_scheduler_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('subscription::subscription.label.task_scheduler_id'),
                "placeholder" => trans('subscription::subscription.placeholder.task_scheduler_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'delivery_type' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('subscription::subscription.label.delivery_type'),
                "placeholder" => trans('subscription::subscription.placeholder.delivery_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'repeat_interval' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('subscription::subscription.label.repeat_interval'),
                "placeholder" => trans('subscription::subscription.placeholder.repeat_interval'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'PRIMARY' => [
                "element" => 'package::package.formcontrols.KEY',
                "type" => 'package::package.formcontrols.KEY',
                "label" => trans('subscription::subscription.label.PRIMARY'),
                "placeholder" => trans('subscription::subscription.placeholder.PRIMARY'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
