<?php

namespace B2buy\Subscription\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class SubscriptionItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('subscription/subscription') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'user_id' => $this->user_id,
            'seller_id' => $this->seller_id,
            'task_scheduler_id' => $this->task_scheduler_id,
            'delivery_type' => $this->delivery_type,
            'repeat_interval' => $this->repeat_interval,
            'status' => $this->status,
            'PRIMARY' => $this->PRIMARY,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
